Start workbook import

Starts the import of the specified workbook.

Request

POST

http://<хост_on-premises>/rpc/startWorkbookImport

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "data": {},
  "title": "example",
  "description": "example",
  "collectionId": "example"
}

Name

Description

collectionId

Type: string | null

ID of the collection in which to create the imported workbook.

Example: example

data

Type: object

[additional]

Type: unknown

Example: null

Serialized workbook export data to import.

Example
{}

title

Type: string

Title of the imported workbook.

Example: example

description

Type: string

Description of the imported workbook.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "importId": "example",
  "workbookId": "example"
}

Name

Description

importId

Type: string

ID of the started workbook import.

Example: example

workbookId

Type: string

ID of the workbook created by the import.

Example: example

Предыдущая
Следующая